Bug 1245500 - Retried prepare commands do not wait for backup locks
Summary: Retried prepare commands do not wait for backup locks
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: 6.6.0
Assignee: Pedro Ruivo
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-22 08:05 UTC by Dan Berindei
Modified: 2018-01-29 16:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5623 0 Major Resolved Retried prepare commands do not wait for backup locks 2016-04-28 15:10:46 UTC

Description Dan Berindei 2015-07-22 08:05:53 UTC
When the primary owner crashes during prepare, the prepare command is retried on the new primary owner. But because the transaction topology id stays the same, the new primary owner does not check for backup locks owned by other transactions from the previous topology.

That makes it possible for the retried prepare command to lock a key that was already locked by another transaction on the primary owner.

This wasn't a problem before the bug 1212795 (ISPN-4546) fix, because a primary owner crash would have forced the transaction to roll back.


Note You need to log in before you can comment on or make changes to this bug.